EDIT - bug #10059

Link for stored under and identification on specimen page does not work correctly
05/12/2022 12:19 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

Stored under links to e.g.

https://portal.cybertaxonomy.org/salvador/cdm_dataportal/occurrence/cdm_dataportal/name/7b7¢2239-3836-4772-9bb4-0f9a9b17fd
41/null/null/

instead of linking to
https://portal.cybertaxonomy.org/salvador/cdm_dataportal/name/7b7¢2239-3836-4772-9bb4-0f9a9b17fd41/null/null/

So the duplicated occurrence/cdm_dataportal/ needs to be removed.

An example for identification mislinking can be found here:
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/occurrence/8259122c-7140-44f3-980e-1a6506ce8f50

Related issues:

Related to EDIT - feature request #10058: Further improve specimen page (fact... New
Related to EDIT - feature request #6866: Improve specimen page Closed
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress

Associated revisions

Revision 10634f7c - 05/31/2022 10:43 AM - Katja Luther

ref #10059: remove render path

Revision ¢90f5440 - 05/31/2022 11:56 AM - Katja Luther
fix #10059: the url needs to be processed with url()

History

#1 - 05/12/2022 12:20 PM - Andreas Miuller

- Related to feature request #10058: Further improve specimen page (factual data, extensions, added

#2 - 05/12/2022 12:20 PM - Andreas Miuller

- Related to feature request #6866: Improve specimen page added

#3 - 05/12/2022 02:47 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.32

#4 - 05/12/2022 02:49 PM - Andreas Miiller

- Related to feature request #9584: specimen page: character data displayed in details section added

#5 - 05/12/2022 02:50 PM - Andreas Miiller

- Related to deleted (feature request #9584: specimen page: character data displayed in details section )

#6 - 05/12/2022 05:20 PM - Andreas Miiller

- Related to task #8419: Harmonization of the different specimen representations added

#7 - 05/13/2022 11:45 AM - Andreas Miiller

- Subject changed from Link for stored under on specimen page does not work correctly to Link for stored under and identification on specimen page
https://portal.cybertaxonomy.org/salvador/cdm_dataportal/occurrence/cdm_dataportal/name/7b7c2239-3836-4772-9bb4-0f9a9b17fd41/null/null/
https://portal.cybertaxonomy.org/salvador/cdm_dataportal/occurrence/cdm_dataportal/name/7b7c2239-3836-4772-9bb4-0f9a9b17fd41/null/null/
https://portal.cybertaxonomy.org/salvador/cdm_dataportal/name/7b7c2239-3836-4772-9bb4-0f9a9b17fd41/null/null/
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/occurrence/8259122c-7140-44f3-980e-1a6506ce8f50

does not work correctly

#8 - 05/13/2022 11:46 AM - Andreas Miiller
- Description updated

#9 - 05/31/2022 10:22 AM - Katja Luther

- Tags changed from fast, specimen-page to specimen-page

This problem occurs because there is an element data-cdm-render-path containing the actual render path and this is used for the creation of the link
(renderpath + link to name) in this case the render path should be empty. Need to go more in details of the code to fix this problem

#10 - 05/31/2022 11:56 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset cdm-dataportal|c90f5440175074c6a350ad24fdaba0c0b6b9ae74.

#11 - 05/31/2022 11:57 AM - Katja Luther

The path to the name needs to be processed by url(), then the correct link is used.

#12 - 05/31/2022 11:57 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review.

#13 - 07/08/2022 10:39 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 100

Works as expected
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/c90f5440175074c6a350ad24fdaba0c0b6b9ae74
